## ucommon 3.2.0

=== debian/changelog ===
ucommon (3.2.0-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #601976)
  * debian/control:
    + tighten versioned debhelper dependency
    + bump up Standards-Version to 3.9.0 no other changes
  * debian/rules:
    + remove get-orig-source as watch uscan does the same thing
  * debian/source/format:
    + (new file). Set to 3.0 (quilt) format

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 05 Jul 2010 22:50:26 +0530

ucommon (2.1.3-0ubuntu1) maverick; urgency=medium

  * new upstream abi and bug fix release. LP: #575082
  * repackaged for debhelper 7.
  * unicode support added.

 -- David Sugar <david.sugar@canonical.com>  Mon, 03 May 2010 15:43:23 -0400

ucommon (2.0.8-0ubuntu1) lucid; urgency=low

  * New Upstream release. LP: #514194
  * Bump Standards to 3.8.4. No other changes

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sat, 30 Jan 2010 07:39:01 +0530

ucommon (2.0.7-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Also install upstream's changelog.
  * Bump Standards.
  * Move libucommon2-dbg runtime to debug section.
  * Update debian/copyright.
  * Install NEWS,README,SUPPORT as doc files.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 03 Dec 2009 20:54:10 +0100

ucommon (2.0.6-0ubuntu1) karmic; urgency=low

  * New upstream release LP: #404876
  * Standards-Version is 3.8.2 No other changes.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 26 Jul 2009 20:10:53 +0530

ucommon (2.0.5-0ubuntu1) karmic; urgency=low

  * Initial packaging for universe. (LP: #342642)

 -- David Sugar <dyfet@gnutelephony.org>  Thu, 30 Apr 2009 07:45:19 -0400
