=== debian/control ===
Source: ucommon
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Sugar <dyfet@gnutelephony.org>
Build-Depends: debhelper (>= 7.0.50~), doxygen, graphviz, dpkg-dev (>= 1.13.19)
Standards-Version: 3.9.0
Section: libs
Homepage: http://www.gnu.org/software/commoncpp/

Package: libucommon-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libucommon-dev
Description: Class documentation for ucommon runtime
 Browsable class documentation generated from headers.

Package: libucommon-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libucommon3 (= ${binary:Version})
Suggests: pkg-config
Description: Headers and static link library for ucommon
 This offers header files for developing applications which use the uCommon
 library.

Package: libucommon3-dbg
Architecture: any
Section: debug
Priority: extra
Recommends: libucommon-dev
Depends: ${misc:Depends}, libucommon3 (= ${binary:Version})
Description: debugging symbols for libucommon3
 This package contains the debugging symbols for libucommon3.

Package: libucommon3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Portable C++ runtime for threads and sockets
 uCommon is a lightweight C++ library to facilitate using C++ design patterns
 even for very deeply embedded applications, such as for systems using uClibc
 along with POSIX threading support. For this reason, UCommon disables language
 features that consume memory or introduce runtime overhead. UCommon introduces
 some design patterns from Objective-C, such as reference counted objects,
 memory pools, and smart pointers. UCommon introduces some new concepts for
 handling of thread locking and synchronization.
