=== debian/watch ===
version=3
http://ftp.gnu.org/pub/gnu/commonc++/ucommon-([\d\.]*)\.tar\.gz
