## ucommon 4.3.3-maemo1

=== debian/changelog ===
ucommon (4.3.3-maemo1) unstable; urgency=low

  * Fremantle packaging

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 17 May 2011 11:49:26 +0200
