=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: ucommon
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Sugar <dyfet@gnutelephony.org>
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), doxygen, graphviz, dpkg-dev (>= 1.13.19)
 Standards-Version: 3.9.0
 Section: libs
 Homepage: http://www.gnu.org/software/commoncpp/
+XSBC-Bugtracker: http://www.gnu.org/software/commoncpp/
 
 Package: libucommon-doc
 Section: doc
@@ -18,22 +18,22 @@
 Package: libucommon-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libucommon3 (= ${binary:Version})
+Depends: ${misc:Depends}, libucommon4 (= ${binary:Version})
 Suggests: pkg-config
 Description: Headers and static link library for ucommon
  This offers header files for developing applications which use the uCommon
  library.
 
-Package: libucommon3-dbg
+Package: libucommon4-dbg
 Architecture: any
 Section: debug
 Priority: extra
 Recommends: libucommon-dev
-Depends: ${misc:Depends}, libucommon3 (= ${binary:Version})
-Description: debugging symbols for libucommon3
- This package contains the debugging symbols for libucommon3.
+Depends: ${misc:Depends}, libucommon4 (= ${binary:Version})
+Description: debugging symbols for libucommon4
+ This package contains the debugging symbols for libucommon4.
 
-Package: libucommon3
+Package: libucommon4
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Portable C++ runtime for threads and sockets
