=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 LDFLAGS += -Wl,-z,defs -Wl,-O1
 
 DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp
-DEB_DH_STRIP_ARGS := --dbg-package=libucommon3-dbg
+DEB_DH_STRIP_ARGS := --dbg-package=libucommon4-dbg
 DEB_INSTALL_DOCS_ALL :=
 DEB_INSTALL_CHANGELOG_ALL := ChangeLog
 DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
