=== debian/watch ===
version=4
http://ftp.gnu.org/pub/gnu/commonc++/ucommon-([\d\.]*)\.tar\.gz
