## ucommon 5.0.5

=== debian/changelog ===
ucommon (5.0.5-1) unstable; urgency=low

  * New upstream release.
    + rename scrub to scrub-files to avoid name conflict.
      Closes: bug#632287.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Aug 2011 09:29:18 +0200

ucommon (5.0.4-2) unstable; urgency=low

  * Build documentation only when doxy is available.
    Closes: bug#632343. Thanks to Aaron M. Ucko.
  * Fix Homepage.
    Closes: bug#634290. Thanks to bertagaz.
  * Add patch 1002 to fix FTBFS on kfreebsd.
    Closes: bug#632346. Thanks to Aaron M. Ucko and David Sugar.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jul 2011 13:38:51 +0200

ucommon (5.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Jul 2011 10:31:43 +0200

ucommon (5.0.3-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#532808.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 Jun 2011 19:15:59 +0200
