## ucommon 5.1.0

=== debian/changelog ===
ucommon (5.1.0-1) unstable; urgency=low

  * New upstream release.
  * Drop patches: Obsolete.
  * Update copyright file:
    + Merge equally owned and licensed Files sections.
    + Extend copyright ranges.
  * Update package relations:
    + Relax build-dependency on cdbs (needlessly tight).
    + Relax build-depend unversioned on debhelper and devscripts (needed
      versions satisfied even in oldstable).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Dec 2011 22:36:24 +0700
