=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 extralibnames = libusecure
 
 DEB_UPSTREAM_URL = http://www.gnutelephony.org/dist/tarballs
-DEB_UPSTREAM_TARBALL_MD5 = 4f2d43dc981309970482d80cad42de65
+DEB_UPSTREAM_TARBALL_MD5 = 2aa7bec3ad5ef9f83149811d9424f291
 
 CDBS_BUILD_DEPENDS += , pkg-config, libgnutls-dev, d-shlibs (>= 0.45~)
