## ucommon 5.2.0

=== debian/changelog ===
ucommon (5.2.0-1) unstable; urgency=low

  * New upstream release.
  * Drop dpkg-source local-options: Defaults since dpkg-source 1.16.1.
  * Add git-buildpackage configfile, enabling signed tags.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Jan 2012 03:55:17 +0100
