=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: ucommon
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: autotools-dev,
- devscripts (>= 2.10.7~),
+Build-Depends: cdbs (>= 0.4.70~),
+ autotools-dev,
+ devscripts,
  libtool,
  automake1.11,
  autoconf,
- cdbs (>= 0.4.85~),
- debhelper (>= 7.0.1),
+ debhelper,
  dh-buildinfo,
  pkg-config,
  libgnutls-dev,
