=== debian/rules ===
--- 
+++ 
@@ -41,14 +41,14 @@
 extralibnames = libusecure
 
 DEB_UPSTREAM_URL = http://www.gnutelephony.org/dist/tarballs
-DEB_UPSTREAM_TARBALL_MD5 = 2aa7bec3ad5ef9f83149811d9424f291
+DEB_UPSTREAM_TARBALL_MD5 = c113a611a8b11a37b5d477ec1a0b2d9e
 
 CDBS_BUILD_DEPENDS += , pkg-config, libgnutls-dev, d-shlibs (>= 0.45~)
 
 DEB_MAKE_CHECK_TARGET = check
 
 devutils = ucommon-config
-utils = args scrub-files mdsum zerofill car sockaddr
+utils = args scrub-files mdsum zerofill car sockaddr pdetach
 
 # Transitional compatibility wrapper for Common C++
 #extralibnames += libcommoncpp
