=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://www.gnutelephony.org/dist/tarballs/ucommon-(\d.*)\.tar\.gz
