## ucommon 5.2.2

=== debian/changelog ===
ucommon (5.2.2-4) unstable; urgency=low

  * Update upstream source URL.
  * Use anonscm.debian.org for Vcs-Browser field.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jun 2012 16:08:34 +0200

ucommon (5.2.2-3) unstable; urgency=low

  * Build transitional compatibility wrapper for Common C++.
  * Fix build-depend on graphviz.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 May 2012 23:44:16 +0200

ucommon (5.2.2-2) unstable; urgency=low

  * Fix short description of -doc package to mention documentation (not
    shared libraries).
    Closes: bug#671005. Thanks to Davide Prina.
  * Fix install ucommon.pc, and recommend pkg-config.
    Closes: bug#672656. Thanks to David Sugar.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 May 2012 19:57:32 +0200

ucommon (5.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Apr 2012 17:59:50 +0200

ucommon (5.2.1-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version to 3.9.3.
  * Update copyright file:
    + Bump format to 1.0.
    + Fix double-indent multiline Copyright fields.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Mar 2012 00:06:35 +0100
