=== debian/control ===
--- 
+++ 
@@ -12,13 +12,14 @@
  pkg-config,
  libgnutls-dev,
  d-shlibs (>= 0.45~),
+ graphviz,
  gcc (>= 4:4.4)
 Build-Depends-Indep: doxygen-latex
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: net
 Homepage: http://www.gnu.org/software/commoncpp/
 Vcs-Git: git://git.debian.org/git/collab-maint/ucommon.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/ucommon.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ucommon.git
 
 Package: libucommon-dev
 Section: libdevel
@@ -26,6 +27,7 @@
 Depends: ${misc:Depends},
  libucommon5 (= ${binary:Version}),
  ${devlibs:Depends},
+Recommends: pkg-config
 Suggests: ucommon-doc
 Description: lightweight C++ threading and sockets - development files
  GNU uCommon C++ is a lightweight library to facilitate using C++ design
@@ -103,7 +105,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends},
-Description: lightweight C++ threading and sockets - shared libraries
+Description: lightweight C++ threading and sockets - documentation
  GNU uCommon C++ is a lightweight library to facilitate using C++ design
  patterns even for very deeply embedded applications, such as for
  systems using uClibc along with POSIX threading support. For this
