=== debian/rules ===
--- 
+++ 
@@ -37,13 +37,13 @@
 major = $(firstword $(subst .,$(space),$(DEB_UPSTREAM_VERSION)))
 libname = lib$(stem)
 libpkgname = lib$(stem)$(major)
-pkgconfigname = $(libname)
 extralibnames = libusecure
+pkgconfigstems = $(stem)
 
-DEB_UPSTREAM_URL = http://www.gnutelephony.org/dist/tarballs
-DEB_UPSTREAM_TARBALL_MD5 = c113a611a8b11a37b5d477ec1a0b2d9e
+DEB_UPSTREAM_URL = http://ftp.gnu.org/gnu/commoncpp
+DEB_UPSTREAM_TARBALL_MD5 = 4739fcd9db006432f1b8e2ea226e414a
 
-CDBS_BUILD_DEPENDS += , pkg-config, libgnutls-dev, d-shlibs (>= 0.45~)
+CDBS_BUILD_DEPENDS += , pkg-config, libgnutls-dev, d-shlibs (>= 0.45~), graphviz
 
 DEB_MAKE_CHECK_TARGET = check
 
@@ -51,10 +51,10 @@
 utils = args scrub-files mdsum zerofill car sockaddr pdetach
 
 # Transitional compatibility wrapper for Common C++
-#extralibnames += libcommoncpp
-#pkgconfigstems += libcommoncpp
-#devutils += commoncpp-config
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-commoncpp --disable-stdcpp
+extralibnames += libcommoncpp
+pkgconfigstems += commoncpp
+devutils += commoncpp-config
+#DEB_CONFIGURE_EXTRA_FLAGS += --disable-commoncpp --disable-stdcpp
 
 # Apparently atomic intrinsics was introduced in GCC 4.4
 CDBS_BUILD_DEPENDS += , gcc (>= 4:4.4)
@@ -98,7 +98,7 @@
 		--exclude-la \
 		--override  s/$(libname)$(major)-dev/$(libname)-dev/ \
 		--movedev "debian/tmp/usr/include/*" usr/include/ \
-		$(patsubst %,--movedev debian/tmp/usr/lib/pkgconfig/%.conf usr/lib/pkgconfig,$(pkgconfigstems)) \
+		$(patsubst %,--movedev debian/tmp/usr/lib/pkgconfig/%.pc usr/lib/pkgconfig,$(pkgconfigstems)) \
 		$(patsubst %,--extralib debian/tmp/usr/lib/%.so,$(extralibnames)) \
 		debian/tmp/usr/lib/$(libname).so
 	touch $@
