## ucommon 6.0.7

=== debian/changelog ===
ucommon (6.0.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild against libgnutls-dev (gnutls2.6)
    - Fixes "libucomon-dev: Dependency on libgnutls28-dev makes sflphone
    unbuildable" (Closes: #716855)

 -- Mark Purcell <msp@debian.org>  Sat, 18 Jan 2014 09:12:31 +1100

ucommon (6.0.7-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Error state in fsys open fixed.
    + fsys error reset inline added.

  [ Jonas Smedegaard ]
  * Fix flip gnutls package names in changelog entry for previous
    6.0.6-1 packaging release, and mention reason for the change.
  * Bump debhelper compatibility to 9: Needed for co-installability of
    debug packages.
    Closes: bug#707560. Thanks to Ralf Treinen, Mark Purcell and Julien
    Cristau.
    Tighten build-dependency on debhelper as a consequence.
  * Relax to drop versioned build-dependency on gcc: Needed version
    satisfied even in oldstable.
  * Fix resolve library major version from libtool hint (not project
    version).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Aug 2013 11:33:06 +0200

ucommon (6.0.6-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Additional constructors to pass pre-allocated memory.
    + Small cleanup of useless validator assignments.
    + Fix gnutls casting and warnings.
    + Modernized automake support.

  * Add git URL as alternate source.
  * Have git-import-orig avoid .git-ignore files.
  * Stop tracking md5sum of upstream tarball.
  * Extend copyright coverage for autotools to include recent years.
  * Build-depend on libgnutls28-dev (not libgnutls-dev): Fails to build
    against the latter.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Jul 2013 00:12:26 +0200

ucommon (6.0.4-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Fix for address list comparison issue.

  [ Jonas Smedegaard ]
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Use anonscm.debian.org URL for Vcs-Git.
  * Bump packaging license to GPL-3+, and extend coverage to include
    recent years.
  * Extend copyright coverage for autotools.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 May 2013 08:47:06 +0200

ucommon (6.0.3-1) experimental; urgency=low

  [ upstream ]
  * New release.
    + Fixes for older gnutls releases.

  [ Jonas Smedegaard ]
  * Drop patch 0001: Applied upstream.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Feb 2013 05:20:29 +0100

ucommon (6.0.2-1) experimental; urgency=low

  [ upstream ]
  * New upstream release.

  * Bump dephelper compatibility level to 8.
  * Bump standards-version to 3.9.4.
  * Update copyright file:
    + Extend coverage for autotools files.
    + Fix use pseudo-comment section to obey silly restrictions of
      copyright format 1.0.
    + List upstream issue tracker and development mailinglist as
      Upstream-Contact.
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied in stable, and oldstable no longer supported.
  * Add patch 0001 from upstream VCS, to fix linkage against (older?)
    gnutls.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Dec 2012 14:33:33 +0100
