=== debian/control ===
--- 
+++ 
@@ -1,31 +1,30 @@
 Source: ucommon
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs (>= 0.4.70~),
+Build-Depends: cdbs,
  autotools-dev,
  devscripts,
  libtool,
  automake1.11,
  autoconf,
- debhelper,
+ debhelper (>= 9~),
  dh-buildinfo,
  pkg-config,
  libgnutls-dev,
  d-shlibs (>= 0.45~),
- graphviz,
- gcc (>= 4:4.4)
+ graphviz
 Build-Depends-Indep: doxygen-latex
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: net
 Homepage: http://www.gnu.org/software/commoncpp/
-Vcs-Git: git://git.debian.org/git/collab-maint/ucommon.git
+Vcs-Git: git://anonscm.debian.org/git/collab-maint/ucommon.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ucommon.git
 
 Package: libucommon-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
- libucommon5 (= ${binary:Version}),
+ libucommon6 (= ${binary:Version}),
  ${devlibs:Depends},
 Recommends: pkg-config
 Suggests: ucommon-doc
@@ -41,12 +40,12 @@
  .
  This package contains the development headers and static libraries.
 
-Package: libucommon5-dbg
+Package: libucommon6-dbg
 Architecture: any
 Section: debug
 Priority: extra
 Depends: ${misc:Depends},
- libucommon5 (= ${binary:Version})
+ libucommon6 (= ${binary:Version})
 Description: lightweight C++ threading and sockets - debugging symbols
  GNU uCommon C++ is a lightweight library to facilitate using C++ design
  patterns even for very deeply embedded applications, such as for
@@ -59,7 +58,7 @@
  .
  This package contains the debugging symbols.
 
-Package: libucommon5
+Package: libucommon6
 Section: libs
 Architecture: any
 Depends: ${misc:Depends},
