=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2011 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011, 2012, 2013 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for GNU uCommon C++
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
+# the Free Software Foundation; either version 3, or (at your option)
 # any later version.
 #
 # This program is distributed in the hope that it will be useful, but
@@ -34,16 +34,15 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 stem = ucommon
-major = $(firstword $(subst .,$(space),$(DEB_UPSTREAM_VERSION)))
+major = $(shell grep ^LT_VERSION= configure.ac | grep -o '[[:digit:]]*' | head -n 1)
 libname = lib$(stem)
 libpkgname = lib$(stem)$(major)
 extralibnames = libusecure
 pkgconfigstems = $(stem)
 
 DEB_UPSTREAM_URL = http://ftp.gnu.org/gnu/commoncpp
-DEB_UPSTREAM_TARBALL_MD5 = 4739fcd9db006432f1b8e2ea226e414a
 
-CDBS_BUILD_DEPENDS += , pkg-config, libgnutls-dev, d-shlibs (>= 0.45~), graphviz
+CDBS_BUILD_DEPENDS += , pkg-config, libgnutls28-dev, d-shlibs (>= 0.45~), graphviz
 
 DEB_MAKE_CHECK_TARGET = check
 
@@ -56,8 +55,6 @@
 devutils += commoncpp-config
 #DEB_CONFIGURE_EXTRA_FLAGS += --disable-commoncpp --disable-stdcpp
 
-# Apparently atomic intrinsics was introduced in GCC 4.4
-CDBS_BUILD_DEPENDS += , gcc (>= 4:4.4)
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-atomics
 
 DEB_INSTALL_DOCS_$(stem)-doc += doc/html
