=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://ftp.gnu.org/gnu/commoncpp/ucommon-(\d.*)\.tar\.gz
